#
# spec file for package rubygem-redcarpet
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-redcarpet
Version:        3.6.0
Release:        1.1
%define mod_name redcarpet
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
URL:            https://github.com/vmg/redcarpet
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-redcarpet-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Markdown that smells nice
License:        MIT

%description
A fast, safe and extensible Markdown to (X)HTML parser.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md COPYING README.markdown" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Thu Nov 28 2024 Rein Fernhout <me@levitati.ng>
- add rpmlintrc to :sources: in gem2rpm.yml
- add rpmlintrc to .spec sources
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.6.0, see bundled CHANGELOG.md
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.5.1
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.5.0
  no changelog found
* Fri Jun 23 2017 bgeuken@suse.com
- Remove fixing_url_generation_from_markdown.patch. This got introduced
  with version 3.4.0.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 3.4.0
  no changelog found
* Tue Apr  5 2016 bgeuken@suse.com
- Add upstream patch to fix issue#460 - fixing url generation from markdown
  Upstream issue:
    Take from https://github.com/vmg/redcarpet/pull/460
  Required by OBS for issue#1529:
    https://github.com/openSUSE/open-build-service/issues/1529
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.3.4
  no changelog found
* Tue Sep 29 2015 coolo@suse.com
- updated to version 3.3.3
  no changelog found
* Tue Jun 23 2015 coolo@suse.com
- updated to version 3.3.2
  no changelog found
* Wed Jun 17 2015 coolo@suse.com
- updated to version 3.3.1
  no changelog found
* Sat Jun  6 2015 coolo@suse.com
- updated to version 3.3.0
  no changelog found
* Wed Apr  8 2015 coolo@suse.com
- updated to version 3.2.3
  - Avoid rewinding previous inline when auto-linking
  - Fix escaping of slashes with the `Safe` render
  - fixes security issue (bnc#926328)
* Mon Feb  9 2015 coolo@suse.com
- updated to version 3.2.2
* Tue Nov 11 2014 tboerger@suse.com
- To get this running on SLE 11 i have switched the rb_build_versions
  definition to ruby21 as it is activated within devel:languages:ruby.
  That way we can get it running on SLE 11 in some way.
* Wed Oct 15 2014 coolo@suse.com
- updated to version 3.2.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 3.1.2
* Sat Feb 22 2014 coolo@suse.com
- updated to version 3.1.1
* Sat Feb 15 2014 kkaempf@suse.com
- adapt gem pathes for Ruby 2.1
- add ruby-devel buildrequires
* Wed Jul 31 2013 coolo@suse.com
- updated to version 3.0.0
* Fri May 24 2013 coolo@suse.com
- updated to version 2.3.0
* Mon Dec 17 2012 coolo@suse.com
- updated to version 2.2.2
* Tue Nov 29 2011 darix@nordisch.org
- update to 2.0.0b5
* Tue Nov 29 2011 darix@nordisch.org
- initial package
